Subject: Re: regression from: net: phy: marvell: Avoid unnecessary soft reset

From: Andrew Lunn <[email-masked]>
Date: Mon, 18 Mar 2019 18:15:56 +0100

> Thanks, you mentioned a mv88e6085 but that chip is a 10/100 switch, did
> you mean that the mv88e6085 compatible string is used in Device Tree to
> designate that chip? While the 88E1540 driver is picked up, that driver
> is originally for external PHY packages (AFAICT), so there could be some
> switch-specific integration of this PHY that makes it behave
> differently, having the OUI helps narrow down what might be necessary to
> accomplish.
> 
> FWIW, the changes were originally tested with a 88e6352.

Hi Florian

Some of the older Marvell switches use the 1540 for its internal
PHYs. Same OUI as the external PHY.  I don't remember which
switches. Maybe the mv88e6161 in the RDU1?

  Andrew